View Issue Details

IDProjectCategoryView StatusLast Update
0004551mantisbtfeaturepublic2005-04-18 10:40
Reporterbpfennig Assigned Tobpfennig  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version1.0.0a1 
Summary0004551: Sticky issues
Description

It would be nice if someone could set sticky issue - so that they are stay on top of the issue list.

This is useful here in this bugtracker too for the e.g. Mantis Release issues. So the next release issue can set to sticky and is always on top of the list.

It could be done on user level (each user can set which issues are sticky for him) or on manager level (the manager decided which issues are sticky).

TagsNo tags attached.

Relationships

has duplicate 0004907 closedvboctor "Sticky" reports 
has duplicate 0004396 closedvboctor "Always on top" mode for issues 
child of 0004937 closedvboctor Mantis 1.0.0a1 Release 

Activities

vboctor

vboctor

2004-09-22 07:32

manager   ~0007680

I agree that the concept of sticky issues is useful. Following are my comments:

  1. Having it per user will over complicates things. I would say we should have it on a system level, and have an access level that is required to make an issue sticky or normal.

  2. The user can use the monitoring feature and associated filtering (which is currently only available through My View) as an alternative for personalised sticky issues.

  3. The API that retrieves the filtered rows should support switching sticky issues ON or OFF as a parameter. In my opinion, it should be ON in the View Issues page, but OFF when retrieving the rows for My Views page.

  4. If some users do not want to have sticky issues, then this can be achieved by disabling sticky issues support in their own preferences. Although I would rather only add this if we find out it is really needed.

Matt_wc

Matt_wc

2004-12-12 01:09

reporter   ~0008583

This will be very usefull in a support situation - think global tickets.

  1. Agreed. I assume by system level, you mean per project.
  2. Would this be a config option? I assume so, with a default set to No support for disabling sticky issues.
bpfennig

bpfennig

2004-12-12 14:35

reporter   ~0008587

I've commited some changes for sticky issues.

It's a quick and dirty solution and for now everyone can set/unset an issue sticky.

To set or unset an issue sticky you have to select the issue/s and use the mass bug manipulation dropdown.

This patch adds a new column to the bug table.

Thox

Thox

2004-12-13 09:12

reporter   ~0008594

The committed changes to filter_api.php have messed up pagination completely on the "View Issues" page.

bpfennig

bpfennig

2004-12-13 11:00

reporter   ~0008598

Upps, your are right, it's fixed now.

bpfennig

bpfennig

2004-12-15 11:03

reporter   ~0008635

Access level for sticky issues added
Sticky issues can be disabled by filter

jlatour

jlatour

2004-12-22 15:52

reporter   ~0008766

Is this done now?

TomR

TomR

2004-12-23 08:16

reporter   ~0008783

Without translations, but it works. ;->

See 0005042

bpfennig

bpfennig

2004-12-23 09:38

reporter   ~0008786

One week of testing and no errors.

Issue History

Date Modified Username Field Change
2004-09-15 08:56 bpfennig New Issue
2004-09-21 22:54 Matt_wc Sponsorship Added Matt_wc: US$ 5
2004-09-21 22:54 Matt_wc Sponsorship Total 0 => 5
2004-09-22 07:32 vboctor Note Added: 0007680
2004-09-22 07:32 vboctor Status new => acknowledged
2004-12-01 03:27 jlatour Relationship added child of 0004818
2004-12-01 05:08 bpfennig Relationship added has duplicate 0004907
2004-12-01 06:54 vboctor Relationship added has duplicate 0004396
2004-12-05 04:00 vboctor Relationship added child of 0004937
2004-12-05 04:00 vboctor Relationship deleted child of 0004818
2004-12-12 01:09 Matt_wc Note Added: 0008583
2004-12-12 13:37 bpfennig Assigned To => bpfennig
2004-12-12 13:37 bpfennig Status acknowledged => assigned
2004-12-12 14:35 bpfennig Note Added: 0008587
2004-12-13 09:12 Thox Note Added: 0008594
2004-12-13 11:00 bpfennig Note Added: 0008598
2004-12-15 11:03 bpfennig Note Added: 0008635
2004-12-22 15:52 jlatour Note Added: 0008766
2004-12-23 08:16 TomR Note Added: 0008783
2004-12-23 09:38 bpfennig Status assigned => resolved
2004-12-23 09:38 bpfennig Fixed in Version => 0.19.3
2004-12-23 09:38 bpfennig Resolution open => fixed
2004-12-23 09:38 bpfennig Note Added: 0008786
2005-04-18 10:40 vboctor Status resolved => closed